Package weka.core.pmml

# Enum Class FieldMetaInfo.Value.Property

java.lang.Object
java.lang.Enum<FieldMetaInfo.Value.Property>
weka.core.pmml.FieldMetaInfo.Value.Property

All Implemented Interfaces:
  `Serializable`, `Comparable<FieldMetaInfo.Value.Property>`, `Constable`

Enclosing class:
  `FieldMetaInfo.Value`

public static enum FieldMetaInfo.Value.Property extends Enum<FieldMetaInfo.Value.Property>
Enumerated type for the property. A value can be valid, invalid or indicate a value that should be considered as "missing".

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INVALID`
`MISSING`
`VALID`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static FieldMetaInfo.Value.Property`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FieldMetaInfo.Value.Property[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VALID

public static final FieldMetaInfo.Value.Property VALID

### INVALID

public static final FieldMetaInfo.Value.Property INVALID

### MISSING

public static final FieldMetaInfo.Value.Property MISSING

## Method Details

### values

public static FieldMetaInfo.Value.Property[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FieldMetaInfo.Value.Property valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<FieldMetaInfo.Value.Property>`